Bug 241347 - Align WebGL draw call functions
Summary: Align WebGL draw call functions
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebGL (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords: InRadar
Depends on:
Blocks: 243487 219140
  Show dependency treegraph
 
Reported: 2022-06-06 13:59 PDT by Alexey Knyazev
Modified: 2022-08-03 13:35 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alexey Knyazev 2022-06-06 13:59:16 PDT
The following functions should be aligned with regards to validating bound VAOs (if needed), doing implicit clears, and marking the canvas as changed.

- WebGLRenderingContextBase::drawElements 
- WebGLRenderingContextBase::drawArrays
- WebGLRenderingContextBase::drawElementsInstanced
- WebGLRenderingContextBase::drawArraysInstanced
- WebGLMultiDraw::multiDrawArraysWEBGL
- WebGLMultiDraw::multiDrawArraysInstancedWEBGL
- WebGLMultiDraw::multiDrawElementsWEBGL
- WebGLMultiDraw::multiDrawElementsInstancedWEBGL
Comment 1 Kenneth Russell 2022-06-06 14:14:18 PDT
See also similar Chromium-side bug http://crbug.com/1333620 .
Comment 2 Gregg Tavares 2022-06-08 12:37:34 PDT
I think this tests the compositing implications

https://github.com/KhronosGroup/WebGL/pull/3430
Comment 3 EWS 2022-06-13 03:17:04 PDT
Committed r295486 (251491@main): <https://commits.webkit.org/251491@main>

Reviewed commits have been landed. Closing PR #1452 and removing active labels.
Comment 4 Radar WebKit Bug Importer 2022-06-13 03:18:13 PDT
<rdar://problem/95005496>